#ifndef _EDITCLR_H
#define _EDITCLR_H

#include "font.h"
#include "popup.h"

#ifndef BYTE
typedef unsigned char	BYTE;
typedef unsigned int	WORD;
#endif

class ColorEditor : public PopUp
{
	private:
		TextButton *RGBButs[3];
		TextButton *Reset;
		TextButton *ValButs[4];  // -10, -1, +1, +10
		int RGBVals[3];
		int RGBOrig[3];
		BYTE *palette;
		int redgreenorblue;
		int colornum;
		void ModifyValue(int ValButton);
		void Show();
		void ShowVals();
		void HideVals();
		void ResetColor();
		void Hide();
		int HandleEvent(int event_type, int event);
	public:
		ColorEditor(int InitX1, int InitY1, int InitX2, int InitY2,
			int InitColor, int InitTopColor, int InitBottomColor,
			BYTE *InitScreen, FontStruct *InitFontPtr,
			char *InitText, int InitTextColor,
			int InitYOffset, BYTE *InitPalette, int InitColorNum,
			int InitLines = DEFAULT_LINES);
		~ColorEditor();
}; // ColorEditor Constructor

#endif
