/*************************************************************************

	FILE:		GRID.H

	AUTHOR:		Brian Tegart, C.E.T.

	DATE:		April 30, 1995

	DESCRIPTION:	Include file for Grid class

	COPYRIGHT (c) 1995 Tegart Software

==========================================================================

	Revision:	0.0

	Date:		April 30, 1995

	By:		Brian Tegart, C.E.T.

	Action:		Creation and modification from old file

**************************************************************************/

#ifndef _GRID_H
#define _GRID_H

/************/
/* Includes */
/************/
#include "rectangl.h"

/***********/
/* Defines */
/***********/

/***************************/
/* Typedefs and structures */
/***************************/

/*********************/
/* Public prototypes */
/*********************/

// Declaration of Grid class
class Grid : public Rectangle
{
	protected:
		int Across, Down;
		int CellWidth, CellHeight;
	public:
		Grid(int InitAcross, int InitDown, int InitX1, int InitY1,
			int InitX2, int InitY2, int InitColor);
}; // Grid class declaration

#endif
