/*************************************************************************

	FILE:		LINE.H

	AUTHOR:		Brian Tegart, C.E.T.

	DATE:		April 28, 1995

	DESCRIPTION:	Header file for line and box drawing routines

	COPYRIGHT (c) 1995 Tegart Software

==========================================================================

	Revision:	0.0

	Date:		April 28, 1995

	By:		Brian Tegart, C.E.T.

	Action:		Creation and modification from old file

**************************************************************************/

#ifndef _LINE_H
#define _LINE_H

/************/
/* Includes */
/************/

/***********/
/* Defines */
/***********/

/***************************/
/* Typedefs and structures */
/***************************/
#ifndef BYTE
typedef unsigned char	BYTE;
typedef unsigned int	WORD;
#endif

/******************************/
/* Public function prototypes */
/******************************/

/* Functions in LINE.ASM */
extern "C" {
	void hlinedraw(int X1, int Y1, int X2, int color, BYTE *screen);
	void vlinedraw(int X1, int Y1, int Y2, int color, BYTE *screen);
	void linedraw(int x1, int y1, int x2, int y2, int color, BYTE *screen);
	void boxdraw(int X1, int Y1, int X2, int Y2, int color, BYTE *screen);
	void negatebox(int X1, int Y1, int X2, int Y2, BYTE *screen);
}

#endif
