#ifndef MYCOLORS_H
#define MYCOLORS_H

#ifndef MAXX
#define MAXX   	319
#define MAXY	199
#endif

#ifndef WORD
typedef unsigned char	BYTE;
typedef unsigned int	WORD;
#endif

void FadeToBlack(BYTE *screen, unsigned long delay_time);
void RotatePalette(int startcol, int endcol, int rotate);

// Declaration of Palette
class Palette
{
	private:
		BYTE (*RGB)[3];				// 256 Red-Green-Blue
	public:
		Palette(BYTE (*InitRGB)[3]);	// Constructor #1
		Palette(BYTE *InitRGB);         // Constructor #2
		void Set();
		void Reset(BYTE *NewRGB);
		~Palette();
}; // Palette class declaration

#endif
