#ifndef _VERIFY_H
#define _VERIFY_H

#include "sprite.h"

#define MIN_SPRITE_WIDTH	2
#define MIN_SPRITE_HEIGHT	2
#define MAX_SPRITE_WIDTH	64
#define MAX_SPRITE_HEIGHT	64
#define MIN_NUM_SPRITES		1
#define MAX_NUM_SPRITES		99

int VerifyOpenEntries(char **Entries, char *filename, int *width,
	int *height, int *numsprites);
int VerifyNewEntries(char **Entries, int *width,
	int *height, int *numsprites);
int VerifySaveAsEntries(char **Entries, char *filename);
int VerifySavePaletteEntries(char **Entries, char *filename);
int VerifyOpenPaletteEntries(char **Entries, char *filename);
int VerifyQuickAnimEntries(char **Entries, Sprite *psprite,
	int **&Sequences, int &NumSequences, int *&SequenceLens);
int VerifyFullAnimEntries(char **Entries, Sprite *psprite,
	int **&Sequences, int &NumSequences, int *&SequenceLens);
int VerifyCopyEntries(char **Entries, int *dest, int *source, Sprite *ps);

#endif
