/*************************************************************************

	FILE:		WAIT.H

	AUTHOR:		Brian Tegart, C.E.T.

	DATE:		April 30, 1995

	DESCRIPTION:	Header file for DOS wait functions

	COPYRIGHT (c) 1995 Tegart Software

==========================================================================

	Revision:	0.0

	Date:		April 30, 1995

	By:		Brian Tegart, C.E.T.

	Action:		Creation and modification from old file

**************************************************************************/

#ifndef _WAIT_H
#define _WAIT_H

/************/
/* Includes */
/************/

/***********/
/* Defines */
/***********/
#define WAIT_SMALLEST	976			/* micro seconds */
#define WAIT_500th	1952
#define WAIT_100th	9760
#define WAIT_50th	19520
#define WAIT_10th	99552
#define WAIT_HALFSEC	499712
#define WAIT_SEC	999424
#define WAIT_SEC5	4999072

/***************************/
/* Typedefs and structures */
/***************************/

/******************************/
/* Public function prototypes */
/******************************/
extern "C" {
	void Wait(unsigned long MicroSeconds);
}

#endif
