#ifndef _ANIMFUNC_H
#define _ANIMFUNC_H

#include "anim256.h"
#include "font.h"
#include "menu.h"
#include "pcx.h"
#include "sprite.h"

#ifndef BYTE
#define BYTE	unsigned char
#define WORD	unsigned int
#endif

#define OPEN_ENTRIES	4
#define NEW_ENTRIES		3

#define MAX_FILENAME_SIZE	50
int PopMessage(char *Message, int Buttons, BYTE *screen, FontStruct *Font,
	int textcolor);
void FileOpen(BYTE *screen, BYTE *shadow, FontStruct *Font, char **filename,
	int textcolor, int errortextcolor, int entrycolor, Sprite **psprite,
	Pcx **pPcx, MenuSystem *MyMenu, PaletteGrid **MyPaletteGrid,
	SpriteGrid **MySpriteGrid, SpriteDisplayer **MySpriteDisp,
	int gridcolor, int curscolor, int *NumSprites, int *SpriteWidth,
	int *SpriteHeight);
void FileNew(BYTE *screen, BYTE *shadow, FontStruct *Font, char **filename,
	int textcolor, int errortextcolor, int entrycolor, Sprite **psprite,
	Pcx **pPcx, MenuSystem *MyMenu, PaletteGrid **MyPaletteGrid,
	SpriteGrid **MySpriteGrid, SpriteDisplayer **MySpriteDisp,
	int gridcolor, int curscolor, int *NumSprites, int *SpriteWidth,
	int *SpriteHeight);

#endif
