#ifndef _FONT_H
#define _FONT_H

#define CurrentInt1FHContents	0
#define CurrentInt43HContents	1
#define ROM8x14			2
#define ROM8x8			3
#define ROM8x8Extended		4
#define ROM9x14			5
#define ROM8x16			6
#define	ROM9x16			7

#ifndef BYTE
typedef unsigned char	BYTE;
typedef unsigned int	WORD;
#endif

typedef struct
{
	int width, height;	// width and height of font
	char bytesperchar;
	BYTE *fptr;			// pointer to font bitmaps
} FontStruct;

// Functions in FONT.ASM
extern "C" {
	void G8x8FontAddr(WORD *FontSeg, WORD *FontOffset);
	void GetFontAddr(int type, WORD *fontseg, WORD *fontoff,
		char *bytesperchar);
	void GraphString(FontStruct *fontptr, int x, int y, BYTE clr,
		char *strng, BYTE *screen);
}

#endif
