/*************************************************************************

	FILE:		JOYSTICK.H

	AUTHOR:		Brian Tegart, C.E.T.

	DATE:		April 30, 1995

	DESCRIPTION:	Header file for Joystick routines

	COPYRIGHT (c) 1995 Tegart Software

==========================================================================

	Revision:	0.0

	Date:		April 30, 1995

	By:		Brian Tegart, C.E.T.

	Action:		Creation and modification from old file

**************************************************************************/

#ifndef _JOYSTICK_H
#define _JOYSTICK_H

/************/
/* Includes */
/************/

/***********/
/* Defines */
/***********/
#define JOY_X 1
#define JOY_Y 2
#define JBUTTON1 0x10
#define JBUTTON2 0x20

/***************************/
/* Typedefs and structures */
/***************************/

/******************************/
/* Public function prototypes */
/******************************/

/* Functions in JOYSTICK.ASM */
extern "C" {
	int readstick(int bmask);
	int readjbutton(int bmask);
}

#endif
