/*************************************************************************

	FILE:		MOUSEASM.H

	AUTHOR:		Brian Tegart, C.E.T.

	DATE:		April 30, 1995

	DESCRIPTION:	Header file for Mouse routines

	COPYRIGHT (c) 1995 Tegart Software

==========================================================================

	Revision:	0.0

	Date:		April 30, 1995

	By:		Brian Tegart, C.E.T.

	Action:		Creation and modification from old file

**************************************************************************/

#ifndef _MOUSEASM_H
#define _MOUSEASM_H

/************/
/* Includes */
/************/

/***********/
/* Defines */
/***********/

/***************************/
/* Typedefs and structures */
/***************************/

/******************************/
/* Public function prototypes */
/******************************/

/* Functions in MOUSEASM.ASM */
extern "C" {
	int initmouse();
	void rempointer();
	void disppointer();
	int readmbutton();
	void relpos(int *x, int *y);
	void getmousepos(int *x, int *y);
	void setmousepos(int x, int y);
}

#endif
